# See https://pre-commit.com

repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v2.3.0
    hooks:
    -   id: check-yaml
    -   id: end-of-file-fixer
    -   id: trailing-whitespace
-   repo: https://github.com/psf/black
    rev: 23.11.0
    hooks:
    - id: black
      language_version: python3  # Should be >= 3.6
-   repo: https://github.com/pycqa/isort
    rev: 5.12.0
    hooks:
    - id: isort
      name: isort (python)
